cpw.mods.fml.common.registry

## Class LanguageRegistry

- java.lang.Object
- - cpw.mods.fml.common.registry.LanguageRegistry

-     public class LanguageRegistry
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageRegistry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addName(java.lang.Object objectToName, java.lang.String name)` Deprecated.
    `void` | `addNameForObject(java.lang.Object objectToName, java.lang.String lang, java.lang.String name)` Deprecated.
    `void` | `addStringLocalization(java.util.Properties langPackAdditions)` Deprecated.
    `void` | `addStringLocalization(java.util.Properties langPackAdditions, java.lang.String lang)` Deprecated.
    `void` | `addStringLocalization(java.lang.String key, java.lang.String value)` Deprecated.
    `void` | `addStringLocalization(java.lang.String key, java.lang.String lang, java.lang.String value)` Deprecated.
    `java.lang.String` | `getStringLocalization(java.lang.String key)`
    `java.lang.String` | `getStringLocalization(java.lang.String key, java.lang.String lang)`
    `void` | `injectLanguage(java.lang.String language, java.util.HashMap<java.lang.String,java.lang.String> parsedLangFile)`
    `static LanguageRegistry` | `instance()`
    `void` | `loadLanguagesFor(ModContainer container, Side side)`
    `void` | `loadLanguageTable(java.util.Map field_135032_a, java.lang.String lang)` Deprecated.
    `void` | `loadLocalization(java.lang.String localizationFile, java.lang.String lang, boolean isXML)` Deprecated.
    `void` | `loadLocalization(java.net.URL localizationFile, java.lang.String lang, boolean isXML)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LanguageRegistry

          public LanguageRegistry()

  - ### Method Detail

    - #### instance

          public static LanguageRegistry instance()

    - #### getStringLocalization

          public java.lang.String getStringLocalization(java.lang.String key)

    - #### getStringLocalization

          public java.lang.String getStringLocalization(java.lang.String key,
                                               java.lang.String lang)

    - #### addStringLocalization

          @Deprecated
          public void addStringLocalization(java.lang.String key,
                                              java.lang.String value)

      Deprecated.
      Deprecated for removal in 1.8. Use the assets lang system

    - #### addStringLocalization

          @Deprecated
          public void addStringLocalization(java.lang.String key,
                                              java.lang.String lang,
                                              java.lang.String value)

      Deprecated.
      Deprecated for removal in 1.8. Use the assets lang system

    - #### addStringLocalization

          @Deprecated
          public void addStringLocalization(java.util.Properties langPackAdditions)

      Deprecated.
      Deprecated for removal in 1.8. Use the assets lang system

    - #### addStringLocalization

          @Deprecated
          public void addStringLocalization(java.util.Properties langPackAdditions,
                                              java.lang.String lang)

      Deprecated.
      Deprecated for removal in 1.8. Use the assets lang system

    - #### addNameForObject

          @Deprecated
          public void addNameForObject(java.lang.Object objectToName,
                                         java.lang.String lang,
                                         java.lang.String name)

      Deprecated.
      Deprecated for removal in 1.8. Use the assets lang system

    - #### addName

          @Deprecated
          public static void addName(java.lang.Object objectToName,
                                java.lang.String name)

      Deprecated.
      Deprecated for removal in 1.8. Use the assets lang system

    - #### loadLanguageTable

          @Deprecated
          public void loadLanguageTable(java.util.Map field_135032_a,
                                          java.lang.String lang)

      Deprecated.
      Deprecated for removal in 1.8. Use the assets lang system

    - #### loadLocalization

          @Deprecated
          public void loadLocalization(java.lang.String localizationFile,
                                         java.lang.String lang,
                                         boolean isXML)

      Deprecated.
      Deprecated for removal in 1.8. Use the assets lang system

    - #### loadLocalization

          @Deprecated
          public void loadLocalization(java.net.URL localizationFile,
                                         java.lang.String lang,
                                         boolean isXML)

      Deprecated.
      Deprecated for removal in 1.8. Use the assets lang system

    - #### injectLanguage

          public void injectLanguage(java.lang.String language,
                            java.util.HashMap<java.lang.String,java.lang.String> parsedLangFile)

    - #### loadLanguagesFor

          public void loadLanguagesFor(ModContainer container,
                              Side side)